Bug 1575334 - abrt incorrectly believes that 'baloorunner' is an unpackaged executable
Summary: abrt incorrectly believes that 'baloorunner' is an unpackaged executable
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 03:51 UTC by Adam Hunt
Modified: 2020-05-21 10:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-06 06:47:56 UTC
Type: Bug
voxadam: needinfo-


Attachments (Terms of Use)

Description Adam Hunt 2018-05-06 03:51:09 UTC
==Description of problem:

The ballorunner executable has been crashing on my system lately but but abrt/report_uReport refuses to submit a report because it thinks that it is an unpackaged executable. According to rpm the baloorunner executable comes from plasma-workspace-5.12.4-1.fc28.x86_64 which was pulled from the updates-testing repo.


==Version-Release number of selected component (if applicable):

# dnf list installed | grep abrt
abrt.x86_64                         2.10.9-2.fc28               @updates-testing
abrt-addon-ccpp.x86_64              2.10.9-2.fc28               @updates-testing
abrt-addon-coredump-helper.x86_64   2.10.9-2.fc28               @updates-testing
abrt-addon-kerneloops.x86_64        2.10.9-2.fc28               @updates-testing
abrt-addon-pstoreoops.x86_64        2.10.9-2.fc28               @updates-testing
abrt-addon-upload-watch.x86_64      2.10.9-2.fc28               @updates-testing
abrt-addon-vmcore.x86_64            2.10.9-2.fc28               @updates-testing
abrt-addon-xorg.x86_64              2.10.9-2.fc28               @updates-testing
abrt-cli.x86_64                     2.10.9-2.fc28               @updates-testing
abrt-cli-ng.x86_64                  2.10.9-2.fc28               @updates-testing
abrt-console-notification.x86_64    2.10.9-2.fc28               @updates-testing
abrt-dbus.x86_64                    2.10.9-2.fc28               @updates-testing
abrt-desktop.x86_64                 2.10.9-2.fc28               @updates-testing
abrt-gui.x86_64                     2.10.9-2.fc28               @updates-testing
abrt-gui-libs.x86_64                2.10.9-2.fc28               @updates-testing
abrt-libs.x86_64                    2.10.9-2.fc28               @updates-testing
abrt-plugin-bodhi.x86_64            2.10.9-2.fc28               @updates-testing
abrt-retrace-client.x86_64          2.10.9-2.fc28               @updates-testing
abrt-tui.x86_64                     2.10.9-2.fc28               @updates-testing
gnome-abrt.x86_64                   1.2.6-3.fc28                @fedora
python2-abrt.x86_64                 2.10.9-2.fc28               @updates-testing
python2-abrt-addon.x86_64           2.10.9-2.fc28               @updates-testing
python3-abrt.x86_64                 2.10.9-2.fc28               @updates-testing
python3-abrt-addon.x86_64           2.10.9-2.fc28               @updates-testing



==How reproducible:

100% reproducible



==Steps to Reproduce:

    1. Install baloorunner (plasma-workspace package)
    2. Crash baloorunner
    3. Attempt report crash using abrt utilites



==Actual results:

--- Running report_uReport ---
Problem comes from unpackaged executable. Unable to create uReport.
('report_uReport' exited with 1)



==Expected results:

Produce backtrace and report issue.


Additional info:

Comment 1 Matej Marušák 2019-01-18 13:34:33 UTC
baloorunner is not provided by plasma-workspace package as you mentioned. 

Are you able to reproduce this now (or still have the old crash?)
Can you check executeble which ABRT says crashed with `rpm -qf <executable>`?

Comment 2 Ben Cotton 2019-05-02 19:59:12 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 ekulik 2019-05-06 06:47:56 UTC
Nothing seems to provide baloorunner in F30, so I’m closing this.


Note You need to log in before you can comment on or make changes to this bug.